<!-- Inherits from layout.html -->
{% extends "layout.html" %}
<!-- The block content replace the one encapsulated in
layout.html -->

{% block content %}














<form name="predict_charges" action="/" method="post" novalidate>
    <fieldset class="form-group">
        <legend>{{title}}</legend>
        {{ form.hidden_tag() }}

        <div class="row">

            <!-- LHS of the form -->
            <div class="col-sm-12 col-md-6 ">

                <!-- AGE -->
                <fieldset class="form-group row">
                    <label for="inputAge" class="col-sm-3 col-form-label">{{ form.age.label }}</label>
                    <div class="col-sm-9">
                        {{ form.age(class_='form-control', id_ = "inputAge") }}

                        <!-- display one error at at time -->
                        <span class="error-message">{{form.age.errors[0] }}</span>
                    </div>
                </fieldset>



                <!-- SEX -->


                <fieldset class="form-group row">
                    <label for="inputSex" class="col-sm-3 col-form-label">{{ form.sex.label }}</label>
                    <div class="col-sm-9">
                        {{ form.sex(class_='form-check', id_ = "inputSex" , style = "list-style:none;") }}

                        <!-- display one error at at time -->
                        <span class="error-message">{{form.sex.errors[0] }}</span>
                    </div>
                </fieldset>












                <!-- BMI -->
                <fieldset class="form-group row">
                    <label for="inputBmi" class="col-sm-3 col-form-label">{{ form.bmi.label }}</label>
                    <div class="col-sm-9">
                        {{ form.bmi(class_='form-control', id_ = "inputBmi") }}

                        <!-- display one error at at time -->
                        <span class="error-message">{{form.bmi.errors[0] }}</span>
                    </div>
                </fieldset>




                <!-- CHILDREN  -->

                <fieldset class="form-group row">
                    <label for="inputChildren" class="col-sm-3 col-form-label">{{ form.children.label }}</label>
                    <div class="col-sm-9">
                        {{ form.children(class_='form-control', id_ = "inputChildren") }}

                        <!-- display one error at at time -->
                        <span class="error-message">{{form.children.errors[0] }}</span>
                    </div>
                </fieldset>



                <!-- REGION -->

                <fieldset class="form-group row">
                    <label for="inputRegion" class="col-sm-3 col-form-label">{{ form.region.label }}</label>
                    <div class="col-sm-9">
                        {{ form.region(class_='form-control', id_ = "inputRegion") }}

                        <span class="error-message">{{form.region.errors[0] }}</span>
                    </div>
                </fieldset>


                <!-- SMOKER -->
                <fieldset class="form-group row">
                    <label for="inputsmoker" class="col-sm-3 col-form-label">{{ form.smoker.label }}</label>
                    <div class="col-sm-9">
                        <div style="display: flex;">
                            {{ form.smoker(class_='form-control', id_ = "inputSmoker", style="width: 5%; ") }}
                            <label class="form-check-label" for="inputSmoker"
                                style="vertical-align: middle; margin: auto 10px;">
                                Yes, I smoke
                            </label>

                        </div>

                        <!-- display one error at at time -->
                        <span class="error-message">{{form.smoker.errors[0] }}</span>
                    </div>
                </fieldset>


            </div> <!-- end of LHS of form -->


            <!-- RHS of the form -->
            <div class="col-sm-12 col-md-6 ">
                {{ form.submit(class_='form-control btn-lg btn-info') }}


            </div>
        </div>

    </fieldset> <!-- End of entire form fieldset-->



</form><!-- End of entire form -->








{% endblock %}